
Smart Proxy - Bug #1674

Error when modifying autosign.conf with commented line

06/08/2012 11:20 AM - Joseph I

Status: Closed   

Priority: Low   

Assignee:    

Category: Puppet   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I received an error when trying to modify autosign.conf file with a commented line:

smart_proxy_autosign_url failed to generate from {:controller=>"SmartProxies::Autosign", :smart_proxy_id=>#<SmartProxy id: 1,

name: "z03s-puppet", url: "https://z03s-puppet.example.com:8443&quot;, created_at: "2011-12-22 23:16:22", updated_at:

"2011-12-24 16:15:19">, :auth_ation=>:destroy, :action=>"destroy",

:id=>"#http://projects.puppetlabs.com/projects/1/wiki/Certificates_And_Security"}, expected: {:controller=>"SmartProxies::Autosign",

:action=>"destroy"}, diff: {:smart_proxy_id=>#<SmartProxy id: 1, name: "z03s-puppet", url: "https://z03s-puppet.zebra.lan:8443&quot;

, created_at: "2011-12-22 23:16:22", updated_at: "2011-12-24 16:15:19">, :auth_ation=>:destroy,

:id=>"#http://projects.puppetlabs.com/projects/1/wiki/Certificates_And_Security"}

I would have expected foreman to ignore a commented out line.

I also received an error when trying to start a line that didn't begin with *:

Creating a line like "z03*.example.com" causes a similar error to the above.

Associated revisions

Revision 45455631 - 01/30/2013 03:38 AM - Jan Vansteenkiste

fixes #1674: Ignore commented lines when reading all certificates in autosign and make sure the autosign file contains a EOL on the last line

History

#1 - 06/28/2012 04:13 AM - Ohad Levy

- Project changed from Foreman to Smart Proxy

#2 - 06/28/2012 04:14 AM - Ohad Levy

can you provide a sample autosign file where this happens?

thanks

#3 - 06/28/2012 02:25 PM - Joseph I

- File autosign.conf_1 added

- File autosign.conf_2 added

I've just re-added z03*.zebra.lan, and have received the following error:

ActionView::TemplateError

smart_proxy_autosign_url failed to generate from {:controller=>"SmartProxies::Autosign", :smart_proxy_id=>#, :auth_ation=>:destroy,

:action=>"destroy", :id=>"z03*.zebra.lan"}, expected: {:controller=>"SmartProxies::Autosign", :action=>"destroy"}, diff: {:smart_proxy_id=>#,

:auth_ation=>:destroy, :id=>"z03*.zebra.lan"}

app/helpers/application_helper.rb:105:in `display_link_if_authorized'

app/views/smart_proxies/autosign/index.html.erb:15

app/views/smart_proxies/autosign/index.html.erb:11:in `each'

app/views/smart_proxies/autosign/index.html.erb:11
https://z03s-puppet.example.com:8443&quot;
https://z03s-puppet.zebra.lan:8443&quot;


As requested I've attached an example autosign.conf:

WORKS:

.zebra.com

.zebra.lan

FAILS:

.zebra.com

.zebra.lan

z03*.zebra.lan

Note, removing the "offending" line from the command line, and then hitting refresh makes the error go away.

I've also tried adding a line with 192.168.*.*, to wild card with similar error messages.

#4 - 07/30/2012 11:52 AM - Adam Denning

Getting the same error here. It seems any use of a wildcard in auth.conf causes this error.

#5 - 07/30/2012 12:12 PM - Adam Denning

Sorry, I meant autosign.conf.

#6 - 01/30/2013 03:40 AM - Ohad Levy

- Category set to Puppet

- Target version set to 1.1

#7 - 01/30/2013 03:45 AM - Dominic Cleal

https://github.com/theforeman/smart-proxy/pull/59

#8 - 01/31/2013 03:04 PM - Jan Vansteenkiste

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 45455631b6eeae5229da3b00b50228fa424faecc.

Files

autosign.conf_1 39 Bytes 06/28/2012 Joseph I

autosign.conf_2 36 Bytes 06/28/2012 Joseph I
